Thu, 09 Jul 2020 02:10:48 UTC

Information for task build (rawhide, /rpms/sagemath.git:65c5f9e5790ad406c57c97ec9be79d9517dbb209)

ID41524788
Methodbuild
Parameters Source: git+https://src.fedoraproject.org/rpms/sagemath.git#65c5f9e5790ad406c57c97ec9be79d9517dbb209
Build Target: rawhide
State failed
CreatedSun, 16 Feb 2020 16:44:54 UTC
StartedSun, 16 Feb 2020 16:44:54 UTC
CompletedSun, 16 Feb 2020 16:50:50 UTC
Total time 0:05:56
Task time 0:05:56
Owner jjames
Channel default
Host buildvm-armv7-05.arm.fedoraproject.org
Archnoarch
Parent
Descendants build
Waiting?no
Awaited?no
Priority20
Weight0.20
Result
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/koji/__init__.py", line 1680, in openRemoteFile
    resp = requests.get(url, stream=True)
  File "/usr/lib/python3.7/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/lib/python3.7/site-packages/requests/api.py", line 60, in request
    return session.reque ...
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/koji/__init__.py", line 1680, in openRemoteFile
    resp = requests.get(url, stream=True)
  File "/usr/lib/python3.7/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/lib/python3.7/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.7/site-packages/requests/sessions.py", line 686, in send
    r.content
  File "/usr/lib/python3.7/site-packages/requests/models.py", line 828, in content
    self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
MemoryError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/koji/daemon.py", line 1294, in runTask
    response = (handler.run(),)
  File "/usr/lib/python3.7/site-packages/koji/tasks.py", line 313, in run
    return koji.util.call_with_argcheck(self.handler, self.params, self.opts)
  File "/usr/lib/python3.7/site-packages/koji/util.py", line 263, in call_with_argcheck
    return func(*args, **kwargs)
  File "/usr/sbin/kojid", line 1003, in handler
    h = self.readSRPMHeader(srpm)
  File "/usr/sbin/kojid", line 1107, in readSRPMHeader
    with koji.openRemoteFile(relpath, **opts) as fo:
  File "/usr/lib/python3.7/site-packages/koji/__init__.py", line 1684, in openRemoteFile
    resp.close()
UnboundLocalError: local variable 'resp' referenced before assignment
Output